| Kinetis SDK Demo Applications User Guide 1.0.0-beta Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- Demos

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Modules | Data Structures | Enumerations | Enumerator | Functions | Variables
Shell Test Demo

A demo application demonstrates shell system in apps/utilities folder. More...

## Modules
| Shell Test Demo Introduction
| Introduction of the Shell Test Demo application.
| Shell Test Demo User Guide
| User guide on how to customize this application for different configurations.

## Data Structures
struct | shell_io_install_t
struct | cmd_tbl_t
| Access command structure. More...

## Enumerations
enum | command_ret_t { CMD_RET_SUCCESS, CMD_RET_FAILURE, CMD_RET_USAGE }

## Functions
uint8_t | shell_register_function (const cmd_tbl_t *pAddress)
| register a user function More...
void | shell_register_function_array (const cmd_tbl_t *pAddress, uint8_t num)
| register function array More...
uint8_t | shell_unregister_function (char *name)
| unregister function More...
int | shell_printf (const char *format,...)
| use vsprintf for format. More...
void | shell_beep (void)
| beep consult More...
const cmd_tbl_t * | shell_find_command (const char *cmd)
| find command form command struct's name More...
uint8_t | shell_io_install (shell_io_install_t *IOInstallStruct)
| install shell io function. More...
const cmd_tbl_t ** | shell_get_cmd_tbl (void)
| get global cmdstruct table address More...
char ** | shell_get_hist_data_list (uint8_t *num, uint8_t *cur_index)
void | shell_main_loop (char *prompt)

## Variables
uint8_t(* | shell_io_install_t::sh_getc )(void)
void(* | shell_io_install_t::sh_putc )(uint8_t ch)
char * | cmd_tbl_t::name
uint8_t | cmd_tbl_t::maxargs
uint8_t | cmd_tbl_t::repeatable
int(* | cmd_tbl_t::cmd )(int argc, char *const argv[])
char * | cmd_tbl_t::usage
char * | cmd_tbl_t::help
int(* | cmd_tbl_t::complete )(int argc, char *const argv[], char last_char, int maxv, char *cmdv[])

## Detailed Description

## Data Structure Documentation

struct shell_io_install_t

### Data Fields
uint8_t(* | sh_getc )(void)
void(* | sh_putc )(uint8_t ch)

struct cmd_tbl_t

### Data Fields
char * | name
int32_t | maxargs
int32_t(* | cmd )(int32_t, char *[])
uint8_t | maxargs
uint8_t | repeatable
int(* | cmd )(int argc, char *const argv[])
char * | usage
char * | help
int(* | complete )(int argc, char *const argv[], char last_char, int maxv, char *cmdv[])

#### Field Documentation

int32_t(* cmd_tbl_t::cmd)(int32_t, char *[])

int32_t cmd_tbl_t::maxargs

## Enumeration Type Documentation

enum command_ret_t

Enumerator
CMD_RET_SUCCESS |
CMD_RET_FAILURE |
CMD_RET_USAGE |

## Function Documentation

void shell_beep | ( | void |  | ) |

const cmd_tbl_t* shell_find_command | ( | const char * | cmd | ) |

const cmd_tbl_t** shell_get_cmd_tbl | ( | void |  | ) |

char** shell_get_hist_data_list | ( | uint8_t * | num,
|  | uint8_t * | cur_index
| ) |  |

uint8_t shell_io_install | ( | shell_io_install_t * | IOInstallStruct | ) |

void shell_main_loop | ( | char * | prompt | ) |

int shell_printf | ( | const char * | format,
|  |  | ...
| ) |  |

uint8_t shell_register_function | ( | const cmd_tbl_t * | pAddress | ) |

void shell_register_function_array | ( | const cmd_tbl_t * | pAddress,
|  | uint8_t | num
| ) |  |

uint8_t shell_unregister_function | ( | char * | name | ) |

## Variable Documentation

int(* cmd_tbl_t::cmd)(int argc, char *const argv[])

int(* cmd_tbl_t::complete)(int argc, char *const argv[], char last_char, int maxv, char *cmdv[])

char* cmd_tbl_t::help

uint8_t cmd_tbl_t::maxargs

char * cmd_tbl_t::name

uint8_t cmd_tbl_t::repeatable

uint8_t(* shell_io_install_t::sh_getc)(void)

void(* shell_io_install_t::sh_putc)(uint8_t ch)

char* cmd_tbl_t::usage